# Get connector

> **GET** `https://api.us.nylas.com/v3/connectors/{provider}`

Source: https://developer.nylas.com/docs/reference/api/connectors-integrations/get_connector_by_provider/

Returns a connector for the specified provider.

**Authentication:** NYLAS_API_KEY

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `provider` | string | Yes |  |

## Responses

### 200 - Returns a connector object

- `request_id` (string) - ID of the request
- `data` (object)
  - `name` (string) **(required)** - The name of the connector.
  - `provider` (string) **(required)** - Provider type
  - `settings` (object) - Optional settings from provider
  - `scope` (array) - (Not used for Zoom connectors.) Optional default scopes for the connector. For Zoom, configure scopes directly on your Zoom OAuth app. See [Zoom granular scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-granular/).
  - `active_credential_id` (string) - The ID of the "default" credential record of this Connector. This credential will be used as a default for communication with the provider.

### 401 - Not Authenticated

- `request_id` (string) **(required)** - ID of the request
- `error` (object) **(required)** - Error object
  - `type` (string) - Type of error
  - `message` (string) - Informative error message
  - `provider_error` (object) - (OPTIONAL) informative error message from provider's side

### 404 - Not Found

- `request_id` (string) **(required)** - ID of the request
- `error` (object) **(required)** - Error object
  - `type` (string) - Type of error
  - `message` (string) - Informative error message
  - `provider_error` (object) - (OPTIONAL) informative error message from provider's side

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.us.nylas.com/v3/connectors/<PROVIDER>' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
  --header 'Content-Type: application/json'
```

### Node.js SDK

```javascript
import Nylas from "nylas";

const nylas = new Nylas({
  apiKey: "<NYLAS_API_KEY>",
  apiUri: "<NYLAS_API_URI>",
});

const getConnector = async () => {
  try {
    const connector = await nylas.connectors.find({
      provider: "google",
    });

    console.log("Connector", connector);
  } catch (error) {
    console.error("Error fetching connector:", error);
  }
};

getConnector();

```

### Python SDK

```python
from nylas import Client

nylas = Client(
    "<NYLAS_API_KEY>",
    "<NYLAS_API_URI>",
)

connector = nylas.connectors.find(
    provider="google"
)

print("Connector:", connector)

```

### Ruby SDK

```ruby
require 'nylas'

nylas = Nylas::Client.new(
    api_key: "<NYLAS_API_KEY>",
)

connectors = nylas.connectors.find(provider: "google")

puts connectors

```

### Java SDK

```java
import com.nylas.NylasClient;
import com.nylas.models.*;

public class ListDraft {
    public static void main(String[] args) throws 
    NylasSdkTimeoutError, NylasApiError {
        NylasClient nylas = 
        new NylasClient.Builder("<NYLAS_API_KEY>").build();

        Response<Connector> connector = 
        nylas.connectors().find(AuthProvider.GOOGLE);
        System.out.println(connector);
    }
}

```

### Kotlin SDK

```kotlin
import com.nylas.NylasClient
import com.nylas.models.AuthProvider

fun main(args: Array<String>) {

    val nylas: NylasClient = NylasClient(
        apiKey = "<NYLAS_API_KEY>"
    )

    val connector = 
    nylas.connectors().find(AuthProvider.GOOGLE)
    println(connector)
}

```
